Bug 987521 - Can't retrieve evicted entries from FileCacheStore
Can't retrieve evicted entries from FileCacheStore
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: CR1
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
Depends On:
  Show dependency treegraph
Reported: 2013-07-23 10:51 EDT by Jakub Markos
Modified: 2013-10-06 20:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3298 Major Resolved Can't retrieve evicted entries from FileCacheStore 2014-03-20 05:12:55 EDT

  None (edit)
Description Jakub Markos 2013-07-23 10:51:21 EDT
Please see the linked JIRA for more information.
Comment 2 JBoss JIRA Server 2013-09-12 05:32:45 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3298

I guess this should be reconsidered with the new file cache store implementation. If we're really loosing entries when evicted to a file cachestore, then it's a major bug!
Comment 3 Jakub Markos 2013-09-12 07:14:47 EDT
I've set the severity to low because it's related to the old file cache store implementation, which I've thought is to be deprecated.
Comment 4 JBoss JIRA Server 2013-09-13 02:21:48 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3298

Even though it will be deprecated, existing EAP/JDG users could be suffering from this, assuming it's a bug, so definitely worth investigating it. It's odd though that this is not working. It's almost as if the cache store was not plugged to the Cache and instead you have a cache that evicts but data does not go to cache store.
Comment 5 JBoss JIRA Server 2013-09-13 03:06:50 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3298

[~jmarkos], Are you sure this issue is still present in Infinispan Server? We have a test for the FCS, whose [configuration|https://github.com/infinispan/infinispan-server/blob/master/build/src/main/resources-ispn/configuration/examples/subsystems/infinispan.xml#L44] can be changed to match yours by changing maxEntries to 5, and the [test|https://github.com/infinispan/infinispan-server/blob/master/testsuite/example-configs/src/test/java/org/infinispan/server/test/configs/FileCacheStoreConfigExampleTest.java#L104] that does pretty much what you do there, and it works fine. I'm closing this JIRA for the time being.
Comment 6 JBoss JIRA Server 2013-09-13 03:08:17 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-3298 to Resolved
Comment 7 Jakub Markos 2013-09-16 06:59:03 EDT
As Galder said, the issue doesn't appear in 6.2.0.DR4, closing.

Note You need to log in before you can comment on or make changes to this bug.